{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>notifications:read</code>\n\nReturns a paginated collection of active, unarchived notifications for the current user in newest-first Inbox order. A user may only list their own notifications. The default page size is 50 notifications.","properties":{"path":{"type":"object","properties":{"user_gid":{"type":"string","examples":["me"],"description":"A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."}},"required":["user_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"workspace":{"type":"string","examples":["31326"],"description":"GID of the workspace from which to return notifications."},"limit":{"type":"integer","minimum":1,"maximum":100,"examples":[50],"description":"Results per page.\nThe number of objects to return per page. The value must be between 1 and 100."},"offset":{"type":"string","examples":["eyJ0eXAiOJiKV1iQLCJhbGciOiJIUzI1NiJ9"],"description":"Offset token.\nAn offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results.\n*Note: You can only pass in an offset that was returned to you via a previously paginated request.*"},"opt_fields":{"type":"array","items":{"type":"string","enum":["created_at","created_by","created_by.name","is_read","offset","path","priority_classification","story","story_resource_subtype","uri","work_objects","work_objects.name"]},"examples":[["created_at","created_by","created_by.name","is_read","offset","path","priority_classification","story","story_resource_subtype","uri","work_objects","work_objects.name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":["workspace"],"additionalProperties":false}},"required":["path","query"],"additionalProperties":false},"name":"Get notifications for a user","id":"asana.getnotificationsforuser","example":{"path":{"user_gid":"me"},"query":{"workspace":"31326"}},"maxRequests":1,"summary":false}}